slist File Reference

Go to the source code of this file.

## Classes

class | __gnu_cxx::slist< _Tp, _Alloc >

## Namespaces

namespace | __gnu_cxx
namespace | std

## Macros

#define | _SLIST

## Functions

_Slist_node_base * | __gnu_cxx::__slist_make_link (_Slist_node_base *__prev_node, _Slist_node_base *__new_node)
_Slist_node_base * | __gnu_cxx::__slist_previous (_Slist_node_base *__head, const _Slist_node_base *__node)
const _Slist_node_base * | __gnu_cxx::__slist_previous (const _Slist_node_base *__head, const _Slist_node_base *__node)
_Slist_node_base * | __gnu_cxx::__slist_reverse (_Slist_node_base *__node)
size_t | __gnu_cxx::__slist_size (_Slist_node_base *__node)
void | __gnu_cxx::__slist_splice_after (_Slist_node_base *__pos, _Slist_node_base *__before_first, _Slist_node_base *__before_last)
void | __gnu_cxx::__slist_splice_after (_Slist_node_base *__pos, _Slist_node_base *__head)
template<class _Tp , class _Alloc >
bool | __gnu_cxx::operator!= (const slist< _Tp, _Alloc > &_SL1, const slist< _Tp, _Alloc > &_SL2)
template<class _Tp , class _Alloc >
bool | __gnu_cxx::operator< (const slist< _Tp, _Alloc > &_SL1, const slist< _Tp, _Alloc > &_SL2)
template<class _Tp , class _Alloc >
bool | __gnu_cxx::operator<= (const slist< _Tp, _Alloc > &_SL1, const slist< _Tp, _Alloc > &_SL2)
template<class _Tp , class _Alloc >
bool | __gnu_cxx::operator== (const slist< _Tp, _Alloc > &_SL1, const slist< _Tp, _Alloc > &_SL2)
template<class _Tp , class _Alloc >
bool | __gnu_cxx::operator> (const slist< _Tp, _Alloc > &_SL1, const slist< _Tp, _Alloc > &_SL2)
template<class _Tp , class _Alloc >
bool | __gnu_cxx::operator>= (const slist< _Tp, _Alloc > &_SL1, const slist< _Tp, _Alloc > &_SL2)
template<class _Tp , class _Alloc >
void | __gnu_cxx::swap (slist< _Tp, _Alloc > &__x, slist< _Tp, _Alloc > &__y)

## Detailed Description

This file is a GNU extension to the Standard C++ Library (possibly containing extensions from the HP/SGI STL subset).

Definition in file slist.